Package org.apache.sysds.runtime.iogen

## Class ValueTrimFormat

- java.lang.Object
- - org.apache.sysds.runtime.iogen.ValueTrimFormat

All Implemented Interfaces:
  `Comparable<ValueTrimFormat>`

    public class ValueTrimFormat
    extends Object
    implements Comparable<ValueTrimFormat>

### Field Summary

Fields
`char` `S`

### Constructor Summary

Constructors
`ValueTrimFormat​(int actualValue)`
`ValueTrimFormat​(int colIndex, Types.ValueType vt, Object o)`
`ValueTrimFormat​(String actualValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ValueTrimFormat vtf)`
`ValueTrimFormat` `getACopy()`
`int` `getColIndex()`
`double` `getDoubleActualValue()`
`String` `getNString()`
`String` `getStringOfActualValue()`
`Types.ValueType` `getValueType()`
`boolean` `isEqual​(ValueTrimFormat vtf)`
`boolean` `isNotSet()`
`void` `setNoSet()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### S

    public char S

### Constructor Detail

#### ValueTrimFormat

    public ValueTrimFormat​(int actualValue)

#### ValueTrimFormat

    public ValueTrimFormat​(String actualValue)

#### ValueTrimFormat

    public ValueTrimFormat​(int colIndex,
                           Types.ValueType vt,
                           Object o)

### Method Detail

#### getDoubleActualValue

    public double getDoubleActualValue()

#### getACopy

    public ValueTrimFormat getACopy()

#### isNotSet

    public boolean isNotSet()

#### setNoSet

    public void setNoSet()

#### getStringOfActualValue

    public String getStringOfActualValue()

#### isEqual

    public boolean isEqual​(ValueTrimFormat vtf)

#### getColIndex

    public int getColIndex()

#### compareTo

    public int compareTo​(ValueTrimFormat vtf)

Specified by:
  `compareTo` in interface `Comparable<ValueTrimFormat>`

#### getNString

    public String getNString()

#### getValueType

    public Types.ValueType getValueType()